// src/utils/detailedError.ts
var DetailedError = class extends Error {
  constructor(error, errorDescription, statusCode) {
    super(errorDescription);
    this.name = "DetailedError";
    this.error = error;
    this.errorDescription = errorDescription;
    this.statusCode = statusCode ?? 400;
  }
  toString() {
    return `${this.name}: [${this.error} - ${this.errorDescription}]`;
  }
  toJSON() {
    return {
      error: this.error,
      ...this.errorDescription && {
        error_description: this.errorDescription
      }
    };
  }
};
var detailedError_default = DetailedError;

export { DetailedError, detailedError_default };
